UbuntuUpdates.org

Package "mutt"

Name: mutt

Description:

text-based mailreader supporting MIME, GPG, PGP and threading

Latest version: 1.13.2-1ubuntu0.3
Release: focal (20.04)
Level: updates
Repository: main
Homepage: http://www.mutt.org/

Links


Download "mutt"


Other versions of "mutt" in Focal

Repository Area Version
base main 1.13.2-1
security main 1.13.2-1ubuntu0.3

Changelog

Version: 1.13.2-1ubuntu0.3 2020-11-25 17:19:50 UTC

  mutt (1.13.2-1ubuntu0.3) focal-security; urgency=medium

  * SECURITY UPDATE: Sensitive information exposed
    - debian/patches/CVE-2020-28896.patch: Ensure IMAP connection is closed
      after a connection error in imap/imap.c.
    - CVE-2020-28896

 -- <email address hidden> (Leonidas S. Barbosa) Tue, 24 Nov 2020 10:38:50 -0300

Source diff to previous version
CVE-2020-28896 Mutt before 2.0.2 and NeoMutt before 2020-11-20 did not ensure that $ssl_force_tls was processed if an IMAP server's initial server response was inva

Version: 1.13.2-1ubuntu0.2 2020-06-24 21:06:40 UTC

  mutt (1.13.2-1ubuntu0.2) focal-security; urgency=medium

  * SECURITY UPDATE: Man-in-the-middle attack
    - debian/patches/CVE-2020-14954.patch: fix STARTTLS response injection
      attack clearing the CONNECTION input buffer in mutt_ssl_starttls() in
      mutt_socket.c, mutt_socket.h, mutt_ssl.c, mutt_ssl_gnutls.c.
    - CVE-2020-14954

 -- <email address hidden> (Leonidas S. Barbosa) Mon, 22 Jun 2020 14:46:34 -0300

Source diff to previous version
CVE-2020-14954 Mutt before 1.14.4 and NeoMutt before 2020-06-19 have a STARTTLS buffering issue that affects IMAP, SMTP, and POP3. When a server sends a "begin TLS"

Version: 1.13.2-1ubuntu0.1 2020-06-22 17:06:37 UTC

  mutt (1.13.2-1ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: Man-in-the-middle attack
    - debian/patches/CVE-2020-14093.patch: prevent
      possible IMAP MITM via PREAUTH response in imap/imap.c.
    - CVE-2020-14093
  * SECURITY UPDATE: Connection even if the user rejects an
    expired intermediate certificate
    - debian/patches/CVE-2020-14154-1.patch: fix GnuTLS tls_verify_peers()
      checking in mutt_ssl_gnutls.c.
    - debian/patches/CVE-2020-14154-2.patch: Abort GnuTLS certificate if a
      cert in the chain is rejected in mutt_ssl_gnutls.c.
    - debian/patches/CVE-2020-14154-3.patch: fix GnuTLS interactive prompt
      short-circuiting in mutt_ssl_gnutls.c.
    - CVE-2020-14154

 -- <email address hidden> (Leonidas S. Barbosa) Wed, 17 Jun 2020 16:46:31 -0300

CVE-2020-14093 Mutt before 1.14.3 allows an IMAP fcc/postpone man-in-the-middle attack via a PREAUTH response.
CVE-2020-14154 Mutt before 1.14.3 proceeds with a connection even if, in response to a GnuTLS certificate prompt, the user rejects an expired intermediate certifica



About   -   Send Feedback to @ubuntu_updates